summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoregnappahz2020-11-01 12:38:35 +0100
committeregnappahz2020-11-01 12:38:35 +0100
commitc8cd4070a964179ab83db61a0ea5e8952adf36b5 (patch)
treeac31a61b1402add772a43e63f7b457f3a2253fe7
parente9d522a4a3415bb334f06ad25d18e56acbf4e165 (diff)
downloadaur-c8cd4070a964179ab83db61a0ea5e8952adf36b5.tar.gz
Updated
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD16
-rw-r--r--removestupidremarks.patch15
3 files changed, 33 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ffa4596be67..afaa70ee6b1 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
pkgbase = kodi-eggz
- pkgver = 19.0a2
+ pkgver = 19.0a3
pkgrel = 1
url = https://kodi.tv
arch = x86_64
@@ -56,10 +56,12 @@ pkgbase = kodi-eggz
depends = libcec
depends = tinyxml
depends = shairplay
- source = git+https://github.com/xbmc/xbmc.git#tag=19.0a2-Matrix
+ source = git+https://github.com/xbmc/xbmc.git#tag=19.0a3-Matrix
source = git+https://github.com/xbmc/vfs.rar.git#tag=4.0.0-Matrix
+ source = removestupidremarks.patch
sha256sums = SKIP
sha256sums = SKIP
+ sha256sums = e89cc7c880b0b10361b882339b542ad49be91ae78de9d4b38ddc08b594734cf5
pkgname = kodi-eggz
pkgdesc = Latest stable-ish kodi build with VFS automaticly installed
diff --git a/PKGBUILD b/PKGBUILD
index c13a62abdcd..5bbfbaca0ca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
pkgbase=kodi-eggz
pkgname=kodi-eggz
-pkgver=19.0a2
-gittag=19.0a2-Matrix
+pkgver=19.0a3
+gittag=19.0a3-Matrix
gittagvfs=4.0.0-Matrix
pkgrel=1
arch=('x86_64')
@@ -23,9 +23,11 @@ makedepends=(
source=(
"git+https://github.com/xbmc/xbmc.git#tag=$gittag"
"git+https://github.com/xbmc/vfs.rar.git#tag=$gittagvfs"
+ "removestupidremarks.patch"
)
sha256sums=('SKIP'
'SKIP'
+'e89cc7c880b0b10361b882339b542ad49be91ae78de9d4b38ddc08b594734cf5'
)
pkgver() {
@@ -56,6 +58,15 @@ prepare() {
make -j $threads -C tools/depends/target/libfmt PREFIX=${srcdir}/usr
msg2 "making DEP/libspdlog"
make -j $threads -C tools/depends/target/libspdlog PREFIX=${srcdir}/usr
+
+ msg "Prepare Kodi"
+ msg2 "Patching Kodisource"
+ while read patch; do
+ echo "Applying $patch"
+ git apply $patch || exit 2
+ done <<< $(ls ../../*.patch)
+
+
}
build() {
@@ -65,6 +76,7 @@ build() {
mkdir ${srcdir}/kodi-build
cd ${srcdir}/kodi-build
msg2 "cmake configure phase"
+ export APP_RENDER_SYSTEM=gl
cmake ../xbmc -DCMAKE_INSTALL_PREFIX=/usr -DX11_RENDER_SYSTEM=gl -DENABLE_INTERNAL_FMT=on -DENABLE_INTERNAL_FFMPEG=ON -DENABLE_INTERNAL_CROSSGUID=ON -DENABLE_INTERNAL_FSTRCMP=ON -DENABLE_INTERNAL_FLATBUFFERS=ON -DENABLE_INTERNAL_SPDLOG=ON -DENABLE_MYSQLCLIENT=ON
msg2 "cmake build phase"
cmake --build . -- #VERBOSE=1
diff --git a/removestupidremarks.patch b/removestupidremarks.patch
new file mode 100644
index 00000000000..ffa463c3e4b
--- /dev/null
+++ b/removestupidremarks.patch
@@ -0,0 +1,15 @@
+diff --git a/cmake/scripts/common/Platform.cmake b/cmake/scripts/common/Platform.cmake
+index 397d8d46e8..a1d0830bf3 100644
+--- a/cmake/scripts/common/Platform.cmake
++++ b/cmake/scripts/common/Platform.cmake
+@@ -8,7 +8,9 @@ if(CORE_SYSTEM_NAME STREQUAL linux OR CORE_SYSTEM_NAME STREQUAL freebsd)
+ set(_DEFAULT_PLATFORM X11 WAYLAND GBM)
+
+ if(NOT APP_RENDER_SYSTEM)
+- message(SEND_ERROR "You need to decide whether you want to use GL- or GLES-based rendering. Please set APP_RENDER_SYSTEM to either \"gl\" or \"gles\". For normal desktop systems, you will usually want to use \"gl\".")
++ #message(SEND_ERROR "You need to decide whether you want to use GL- or GLES-based rendering. Please set APP_RENDER_SYSTEM to either \"gl\" or \"gles\". For normal desktop systems, you will usually want to use \"gl\".")
++ # Don't make stupid remarks and just make it work then..?
++ set(APP_RENDER_SYSTEM "gl")
+ endif()
+ else()
+ string(TOLOWER ${CORE_SYSTEM_NAME} _DEFAULT_PLATFORM)